package domain


type AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult struct {
    /*
        无用字段（废弃）     */
    Data  *int64 `json:"data,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误描述     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误编码     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        部分失败的商品编码列表     */
    FailedSkuCodes  *[]string `json:"failed_sku_codes,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult) SetData(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult) SetFailedSkuCodes(v []string) *AlibabaRetailMarketingItemdiscountActivitySkuAddOctopusOpenResult {
    s.FailedSkuCodes = &v
    return s
}
